#ifndef PKI_ENVHDR_CPRO_H_INCLUDED
#define PKI_ENVHDR_CPRO_H_INCLUDED

#include "wrapper/pki/envheader.h"

class EnvelopedHeaderCpro : public EnvelopedHeader
{
public:
	virtual ~EnvelopedHeaderCpro() {};

protected:
	size_t readFromFile(Handle<std::string> envFileUri, DataFormat::DATA_FORMAT format, const unsigned char* dataBuffer, size_t bufferLength);
	void parseEnvelopedData(const unsigned char* dataBuffer, size_t bufferLength);
};

#endif // PKI_ENVHDR_CPRO_H_INCLUDED
